#include "spi.h"
#include "stdio.h"
#include "uart.h"
#include "mpu9250.h"
#include "delay.h"
int main(void)
{
	systick_init_ms(2097000);
	uart_init();
	spi_init();
	MPU9250_beginAccel(ACC_FULL_SCALE_16_G);
	MPU9250_beginGyro(GYRO_FULL_SCALE_2000_DPS);

	while(1)
	{
		MPU9250_accelUpdate();
		MPU9250_gyroUpdate();

		printf("Acceleration data %0.3f %0.3f %0.3f \r\n",MPU9250_accelX(),MPU9250_accelY(),MPU9250_accelZ());
		printf("Gyroscope data %0.3f %0.3f %0.3f \r\n",MPU9250_gyroX(),MPU9250_gyroY(),MPU9250_gyroZ());
		delay(500);


	}

}

